tt_spec_propnames_count(library call)

NAME
tt_spec_propnames_count — return the number of property names for an object

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_spec_propnames_count(
const char *objid);

DESCRIPTION

The tt_spec_propnames_count function returns the number of property names for this object.

The objid argument is the identifier of the object involved in this operation.

RETURN VALUE

Upon successful completion, the tt_spec_propnames_count function returns the number of values listed in the spec property. The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).